/*-----------------------------------------------------------------------

File  : cco_simplification.h

Author: Stephan Schulz

Contents
 
  Global control function used with simplification.

Changes

<1> Mon Jun  8 14:49:49 MET DST 1998
    New

-----------------------------------------------------------------------*/

#ifndef CCO_SIMPLIFICATION

#define CCI_SIMPIFICATION


#include <cco_proofstate.h>
#include <ccl_rewrite.h>

/*---------------------------------------------------------------------*/
/*                    Data type declarations                           */
/*---------------------------------------------------------------------*/



/*---------------------------------------------------------------------*/
/*                Exported Functions and Variables                     */
/*---------------------------------------------------------------------*/

extern HCB_p DemodOrderCriterion;
void  DemodInsert(ClauseSet_p set, Clause_p new);
void  DemodDelete(Clause_p new);
void  ClauseRemoveOrientation(Clause_p clause);
long  RemoveClausesWithRewritableMaxSides(OCB_p ocb, ClauseSet_p from,
					  ClauseSet_p into, TB_p
					  new_bank, Clause_p
					  new_demod, SysDate nf_date);

#endif

/*---------------------------------------------------------------------*/
/*                        End of File                                  */
/*---------------------------------------------------------------------*/





